#include <stdio.h>
#include <stdlib.h>
#include "rucode.h"

int file_to_buffer(FILE *f, char **buffer) {
    int len;

    fseek(f, 0, SEEK_END);
    len = ftell(f);
    fseek(f, 0, SEEK_SET);

    *buffer = malloc(len);
    fread(*buffer, len, 1, f);
    return len;
}

int main(int argc, char **argv) {
    char *buffer;
    int len;
    FILE *in;
    FILE *out;
    int i;
    int best;
    int best_score;
    int cur_score;
    
    rucode_init();

    in = fopen(argv[1], "rb");
    len = file_to_buffer(in, &buffer);
    fclose(in);    

    rucode_do(buffer, len, rucode_guess_codepage(buffer, len), rucode_codepage_name_to_id("koi8-r"));

    out = fopen(argv[2], "wb");
    fwrite(buffer, len, 1, out);
    fclose(out);
    
    free(buffer);


    return 0;
}

